<?php

namespace App\Http\Controllers;

use App\Http\Resources\GuesResource;
use App\Models\BlogPost;
use App\Models\About;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use App\Http\Resources\BlogPostResource;
use App\Models\Question;
use Illuminate\Http\Request;
use Inertia\Inertia;

class GuestController extends Controller
{

    public function index()
    {
        $user = Auth::user() ?? [];
        $about = About::query()->first();
        $about->short_description = substr( $about->description, 0, 339);
        $allusers = User::query()->orderBy('id', 'DESC')
        // ->select('users.*','DATE_FORMAT(users.created_at, '%d-%M-%Y') as dates')
        // ->paginate(20);
        ->get();
        

        return Inertia::render('Guestbook', compact('user','about','allusers'));
    }


   
}
