<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PostCommentRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'image' => 'nullable|string',
            'post_id' => 'required|numeric',
            'description' => 'nullable|string',
            'parent_id' => 'nullable|numeric',
            'child_id' => 'nullable|numeric',
            'created_by' => 'required|numeric',
            'updated_by' => 'nullable|numeric',
            'valid' => 'nullable|nullable'
        ];
    }
}
