<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;

use App\Models\User;
use App\Models\BlogPost;
use App\Models\PostComment;
use App\Models\Question;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        User::factory(10)->create();
        $this->call([RelationshipTypeSeeder::class]);
        $this->call([RelationshipSeeder::class]);
        Question::factory(10)->create();
        BlogPost::factory(5)->create();
        PostComment::factory(5)->create();

        $this->call([AboutSeeder::class]);
    }
}
