<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class GuesResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            "id" => 1,
            "name" => $this->name,
            "email" => $this->email,
            "birthday" => $this->created_at,
            "company" => "Gemcon Group",
            "image" => "https://i.ibb.co/R06JmSN/hero1.png"
        ];
    }
}
