<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Seeder;
use App\Models\RelationshipType;

class RelationshipTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $userId = User::all()->random()->id;

        $data = [
            ['name' => 'Family', 'image' => 'icon icon-house ng-star-inserted', 'status' => 1, 'created_by' => $userId, 'updated_by' => $userId, 'valid' => 0],
            ['name' => 'School', 'image' => 'icon icon-book ng-star-inserted', 'status' => 1, 'created_by' => $userId, 'updated_by' => $userId, 'valid' => 0],
            ['name' => 'Other', 'image' => 'icon icon-person ng-star-inserted', 'status' => 1, 'created_by' => $userId, 'updated_by' => $userId, 'valid' => 0]
        ];

        foreach ($data as $item) {
            RelationshipType::create($item);
        }
    }
}